
package mw.pathclient;

import javax.xml.ws.WebFault;


/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.2.9-b130926.1035 Generated source version: 2.2
 */
@WebFault(name = "MWNoPathException", targetNamespace = "http://path.mw/")
public class MWNoPathException_Exception
    extends Exception {

    /**
     * Java type that goes as soapenv:Fault detail element.
     */
    private MWNoPathException faultInfo;

    /**
     * @param faultInfo
     * @param message
     */
    public MWNoPathException_Exception(String message, MWNoPathException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * @param faultInfo
     * @param cause
     * @param message
     */
    public MWNoPathException_Exception(String message, MWNoPathException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * @return returns fault bean: mw.path.MWNoPathException
     */
    public MWNoPathException getFaultInfo() {
        return faultInfo;
    }

}
